# $Revision: 1.31 $, $Date: 2004/08/18 22:12:01 $
Summary:	LANChat - network-chatting program
Summary(pl):	LANChat - program do sieciowych pogaduszek
Name:		LANChat
Version:	1.1.0
Release:	3
License:	GPL
Group:		Applications/Networking
Source0:	http://republika.pl/lanchat/%{name}-%{version}.tar.gz
# Source0-md5:	efa396cbe01c1c63e69192ea64dbb407
URL:		http://republika.pl/lanchat/
BuildRequires:	ncurses-devel >= 5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LANChat a network-chatting program. It allows you to chat with your
friends over a TCP/IP based Local Area Network. It doesn't need any
type of server to run. All users are equal. LANChat is a not
client-server application. All your machines act like independent
servers. To communicate LANChat uses broadcast UDP messages so they
don't travel over the Internet (only to the closest router). LANChat
need C-class addressing type (theoretically max 254 users). By using
LANChat you can talk with windows and Linux users in your local area
network. You can use LANChat over networks connected by the BRIDGE.

%description -l pl
LANChat jest programem do sieciowych pogaduszek. Pozwala na
rozmawianie ze swoimi znajomymi w sieciach lokalnych opartych na
TCP/IP. Nie potrzebuje adnego servera do dziaania i kady uytkownik
jest rwny. Nie jest to aplikacja typu klient-server, wic kada
maszyna jest jak niezaleny server. LANChat do komunikacji uywa
broadcastw UDP, wic nie s one wysyane do internetu, a tylko do
najbliszego routera. LANChat potrzebuje klasy adresowej C
(teoretycznie max 254 uytkownikw). Uywajc LANChata mona
rozmawia w swojej sieci lokalnej zarwno z uytkownikami Windows jak
i Linuksa. Mona te korzysta z LANChata w sieciach poczonych
BRIDGE'ami.

%prep
%setup -q -c -T
tar zxf %{SOURCE0} -C ..
cd ..
chmod u+x %{name}-%{version}

%build
%{__make} CC="%{__cc} %{rpmcflags} -Wall -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install LANChat $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ROUTING BUGS TODO
%attr(755,root,root) %{_bindir}/LANChat

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: LANChat.spec,v $
Revision 1.31  2004/08/18 22:12:01  undefine
- release 3

Revision 1.30  2004/06/17 13:32:52  blues
- release 2

Revision 1.29  2004/06/17 13:32:03  blues
- release 1

Revision 1.28  2004/06/13 12:17:58  andree
- workaround for source0 (attr problem)

Revision 1.27  2004/06/13 11:19:46  domelu
- change Source0
- updated to 1.1.0

Revision 1.26  2004/06/13 11:15:14  domelu
- remove workaround

Revision 1.25  2003/09/09 10:24:18  ankry
- spaces -> tab

Revision 1.24  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/02/18 09:52:10  qboosh
- simplified and fixed workaround (_topdir is not always ~/rpm)
- removed *.lsm from doc - useless in rpm

Revision 1.21  2003/02/16 00:52:41  djrzulf
- updated to 1.0.3,
- damn, this tarball suck! :)

Revision 1.20  2002/10/28 14:24:23  kloczek
- use new %doc.

Revision 1.19  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/27 18:26:28  zytek
- added LANChat-wincrash.patch
- now lanchat DOES NOT CRASH windows lanchat clients!
- STBR

Revision 1.17  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.16  2002/05/21 23:12:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/03/01 18:05:00  kloczek
- added "rm -f missing" on top %build.

Revision 1.13  2002/03/01 14:40:59  marcus
- rel.3.

Revision 1.12  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/29 15:34:23  qboosh
- typos, cosmetics

Revision 1.9  2001/04/27 20:16:57  kloczek
- release 2,
- spec adapterized and added using %%{rpmcflags} macro.

Revision 1.8  2001/04/25 15:42:41  blues
- polish description added

Revision 1.7  2001/01/25 20:03:19  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.5  2000/09/12 22:19:00  klakier
- added cvs Log to %%changelog
